<ion-header>
  <ion-toolbar>
    <ion-title>Home</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <div id="container">
    <ion-row>
      <ion-col>
        <ion-card>
          <ion-card-header>
            <ion-card-title>
              Probe
            </ion-card-title>
          </ion-card-header>
          <ion-card-content>
            <img
              [src]="probeImageUri || placeholderImageUri"
              class="card-image" />
            <ion-button
              size="large"
              (click)="selectImage('Probe')"
            >
              Select Probe Image
            </ion-button>
          </ion-card-content>
        </ion-card>
      </ion-col>
      <ion-col>
        <ion-card>
          <ion-card-header>
            <ion-card-title>
              Candidate
            </ion-card-title>
          </ion-card-header>
          <ion-card-content>
            <img
              [src]="candidateImageUri || placeholderImageUri"
              class="card-image" />
            <ion-button
              size="large"
              (click)="selectImage('Candidate')"
            >
              Select Candidate Image
            </ion-button>
          </ion-card-content>
        </ion-card>
      </ion-col>
    </ion-row>
    <ion-row class="ion-justify-content-center">
      <ion-button
        size="large"
        expand="block"
        [disabled]="!probeImageUri || !candidateImageUri"
        (click)="match()"
      >
        Perform 1x1 Match
      </ion-button>
    </ion-row>
  </div>

  <input
    #hiddenFileInputProbe
    class="hidden-file-input"
    type="file"
    (change)="fileInputChangeListener({event: $event, id:'Probe'})"
  >
  <input
    #hiddenFileInputCandidate
    class="hidden-file-input"
    type="file"
    (change)="fileInputChangeListener({event: $event, id:'Candidate'})"
  >
</ion-content>
